summaryrefslogtreecommitdiffstats
path: root/tests/shell
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2016-07-13 16:53:12 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2016-07-13 16:54:16 +0200
commit337c7e0de3d9d8a3a37ab18e00984a35a1c54704 (patch)
treef736b2e1b2fd063dfdc5879e57d4d18977e982ee /tests/shell
parent4ce18f9e8470a6b982a888b98e60040c1be4cb5c (diff)
tests: shell: make sure split table definition works via nft -f
Add test to cover split table definition in one single file. Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell')
-rwxr-xr-xtests/shell/testcases/nft-f/0008split_tables_050
1 files changed, 50 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0008split_tables_0 b/tests/shell/testcases/nft-f/0008split_tables_0
new file mode 100755
index 00000000..2bc6e46c
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0008split_tables_0
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+set -e
+
+tmpfile=$(mktemp)
+if [ ! -w $tmpfile ] ; then
+ echo "Failed to create tmp file" >&2
+ exit 0
+fi
+
+trap "rm -rf $tmpfile" EXIT # cleanup if aborted
+
+RULESET="table inet filter {
+ chain ssh {
+ type filter hook input priority 0; policy accept;
+ tcp dport ssh accept;
+ }
+}
+
+table inet filter {
+ chain input {
+ type filter hook input priority 1; policy drop;
+ }
+}"
+
+echo "$RULESET" > $tmpfile
+$NFT -f $tmpfile
+if [ $? -ne 0 ] ; then
+ echo "E: unable to load good ruleset" >&2
+ exit 1
+fi
+
+EXPECTED="table inet filter {
+ chain ssh {
+ type filter hook input priority 0; policy accept;
+ tcp dport ssh accept
+ }
+
+ chain input {
+ type filter hook input priority 1; policy drop;
+ }
+}"
+
+GET="$($NFT list ruleset)"
+
+if [ "$EXPECTED" != "$GET" ] ; then
+ DIFF="$(which diff)"
+ [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
+ exit 1
+fi